diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index 839126c4ef..97ad04dbe3 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -401,6 +401,15 @@ OPTIONS (ADD password_required 'false');
        A table-level option overrides a server-level option.
        The default is <literal>false</literal>.
       </para>
+
+      <para>
+       In the case that foreign tables are associated with the same foreign
+       server, and scanned using the same connection to the remote server,
+       even if this option is set to <literal>true</literal> for them, they
+       would be scanned serially when processed using asynchronous execution.
+       In that case performance would not be improved, and, what is worse,
+       it might be degraded due to the overhead of asynchronous execution.
+      </para>
      </listitem>
     </varlistentry>
 
